<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\OrderMessage;

use UnexpectedValueException;




class OrderSurface
{
    


    const ORDER_SURFACE_UNSPECIFIED = 0;
    


    const CATALOG = 1;

    private static $valueToName = [
        self::ORDER_SURFACE_UNSPECIFIED => 'ORDER_SURFACE_UNSPECIFIED',
        self::CATALOG => 'CATALOG',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

